#### PyKDE - Python Bindings for KDE

# class KRestrictedLine |
Table of contents
Modules
tdeui Classes
All Classes

Module | tdeui
Class | KRestrictedLine
Inherits | KLineEdit

### methods

- KRestrictedLine (parent = 0, name = 0, valid = TQString .null)

  returns a KRestrictedLine instance
  Argument | Type | Default
  --- | --- | ---
  parent | TQWidget | 0
  name | char | 0
  valid | TQString | TQString .null

- invalidChar (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | int |

- keyPressEvent (e)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  e | TQKeyEvent |

- setValidChars (valid)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  valid | TQString |

- validChars ()

  returns (TQString)